import wstring

# Inject the wstring converter into ZPublisher's map. We will need
# to add wtext, wtokens, and wlines eventually

import ZPublisher.Converters

class field_to_wstring:

    def __call__(self,v):
        # Convert a regular python string
        if hasattr(v,'read'): v=v.read()
        return wstring.wstring(v)

    def convert_wide(self,w):
        # Convert a wide string
        return w

ZPublisher.Converters.type_converters['wstring']=field_to_wstring()


# Inject some wstring utility functions into the dtml scripting namespace.

import DocumentTemplate.DT_Util
DocumentTemplate.DT_Util.d['wstring'] = wstring.wstring

